/*	This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. */

package com.nonoo.helloworld;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;

public class HelloWorld {
	public static void main(String[] args) {
		String hello = "Hello world!";
		hello = hello + " oh!";
		System.out.println(hello);

		// writing a line to a text file
		try {
			BufferedWriter outputStream = new BufferedWriter(new OutputStreamWriter(new FileOutputStream("hello.txt"),"UTF-8"));
			outputStream.write("");
			outputStream.write(10);
			outputStream.close();
		} catch (Exception e) {
			e.printStackTrace();
		}

		// reading and displaying a line from a text file
		BufferedReader inputStream;
		try {
			inputStream = new BufferedReader(new InputStreamReader(new FileInputStream("hello.txt"), "UTF-8"));
			System.out.println(inputStream.readLine());
			inputStream.close();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
